← બધી સાધન શ્રેણીઓ
150 કાર્યકારી સાધનો

ટેક્સ્ટ અને સૂચિ સાધનો

કાર્યકારી ડેટા અપલોડ કર્યા વિના સામગ્રી સાફ કરો, સરખાવો અને માપો.

મધ્યમાં લખાણની લાઈનો

પ્રત્યેક પંક્તિને ચોક્કસ યુનિકોડ-અક્ષર પહોળાઈની અંદર મધ્યમાં ગોઠવો, ખાલી પંક્તિઓ યથાવત્ રાખીને અને વિનાશક કાપકૂપને અસ્વીકારતાં.

ટૂલ ખોલો →

શબ્દોમાંથી પૂર્વપ્રત્યય દૂર કરો

મેળ ખાતા યુનિકોડ શબ્દોમાંથી એક ચોક્કસ શરૂઆતનો અંશ દૂર કરો અને વિરામચિહ્ન, અંતર અને ન મેળ ખાતા શબ્દોને જેમના તેમ રાખો.

ટૂલ ખોલો →

શબ્દોમાંથી પ્રત્યય દૂર કરો

અનુરূপ યુનિકોડ શબ્દોમાંથી એક સમાન અંતિમ ભાગને સેપરેટર્સને સમતળ કર્યા વિના અથવા તે અંત્યપ્રત્યય ન ધરાવતા શબ્દોને બદલ્યા વિના દૂર કરો.

ટૂલ ખોલો →

અક્ષરો વચ્ચે વિભાજક ઉમેરો

યુનિકોડ કોડ પોઇન્ટ્સ વચ્ચે પસંદ કરેલ વિભાજક મૂકો, જેથી ઇમોજી જેવી સર્ઝોગેટ જોડી અયોગ્ય અર્ધમાં વિભાજિત ન થાય.

ટૂલ ખોલો →

દરેક ટેક્સ્ટ લાઇનને અવતરણમાં લો

દરેક લાઇનને ડબલ કોટ્સ, સિંગલ કોટ્સ અથવા બૅક્ટિક્સમાં લપેટો, ખાલી લાઇનો અને મૂળ લાઇન ક્રમ જાળવીને.

ટૂલ ખોલો →

ટેક્સ્ટ લાઈનોમાંથી અવતરણ ચિહ્નો દૂર કરો

સ્વચાલિત અથવા સ્પષ્ટ કોટ-શૈલી મેળવણીનો ઉપયોગ કરીને દરેક લાઇનમાંથી એક સંતુલિત બાહ્ય અવતરણચિહ્ન જોડી દૂર કરો.

ટૂલ ખોલો →

દરેક શબ્દને અવતરણમાં લો

દરેક Unicode શબ્દ ટોકનને પસંદ કરેલા ક્વોટ અક્ષરથી ઘેરી દો, જ્યારે કોમા, વિરામચિહ્નો અને મૂળ whitespace જાળવી રાખો.

ટૂલ ખોલો →

શબ્દોમાંથી અવતરણ ચિહ્નો દૂર કરો

જ્યારે બંને ઉદ્ધરણ ચિહ્નો મેળ ખાતા હોય ત્યારે અલગથી અવતરણ આપેલા Unicode શબ્દોને બહાર કાઢો, અને ગદ્યમાંથી સંબંધિત ન હોય એવા ઉદ્ધરણ ચિહ્નો કાઢી ન નાખો.

ટૂલ ખોલો →

ખાલી લાઇનોને સામાન્ય કરો

ઇન્ડેન્ટેશન અને દરેક ખાલી ન હોય તેવી લાઇનને જાળવીને સતત ખાલી પંક્તિઓને ચોક્કસ મહત્તમ સુધી મર્યાદિત કરો.

ટૂલ ખોલો →

સ્પેસને નવી લાઈનોમાં બદલો

દરેક whitespaceથી અલગ પડતા ટોકનને એક લાઇનમાં ફેરવો અને repeated spaces, tabs તથા existing line breaks ને deterministically collapse કરો.

ટૂલ ખોલો →

નવી લાઇનોને વિભાજકમાં રૂપાંતરિત કરો

દરેક પંક્તિની માત્ર બાહ્ય ખાલી જગ્યા કાપીને, ખાલી ન હોય એવી લખાણની લાઇનોને રૂપરેખાંકિત કરી શકાય એવા વિભાજક સાથે જોડો.

ટૂલ ખોલો →

શબ્દ આવર્તન વિશ્લેષક

કેસ-સેન્સિટિવ સરખામણી સાથે, સમાયોજિત કરી શકાય તેવી ન્યૂનતમ લંબાઈ અને પરિણામ મર્યાદા વડે યુનિકોડ શબ્દોને આવર્તન ગણતરી મુજબ ક્રમબદ્ધ કરો.

ટૂલ ખોલો →

શબ્દોની અંદર અક્ષરો ગોઠવો

દરેક શબ્દની અંદર Unicode અક્ષરો અને સંખ્યાઓને, વિરામચિહ્નો અથવા શબ્દોને ખસેડ્યા વિના, સ્વતંત્ર રીતે ગોઠવો.

ટૂલ ખોલો →

બધા ટેક્સ્ટ અક્ષરો ગોઠવો

વૈકલ્પિક whitespace દૂર કરવા અને સ્પષ્ટ ચઢતા અથવા ઉતરતા ક્રમ સાથે સમગ્ર ઇનપુટમાં દરેક Unicode code point ને ક્રમબદ્ધ કરો.

ટૂલ ખોલો →

નંબર ટેક્સ્ટ વાક્યો

દરેક શોધાયેલા વાક્યને તેની પોતાની ક્રમાંકિત લાઇન પર મૂકો, કન્ફિગર કરી શકાય તેવા શરૂઆતના મૂલ્ય અને ત્રણ વાંચી શકાય તેવી માર્કર શૈલીઓ સાથે.

ટૂલ ખોલો →

નંબર ટેક્સ્ટ પેરાગ્રાફ્સ

દરેક પેરાગ્રાફના આંતરિક લાઇન બ્રેક્સ અને ફોર્મેટિંગ જાળવીને, ખાલી લાઇનથી અલગ થયેલા પેરાગ્રાફોને નંબર આપો.

ટૂલ ખોલો →

ડુપ્લિકેટ વાક્ય શોધનાર

સૂચિમાં પુનરાવર્તિત પૂર્ણ વાક્યોને ગણતરીઓ સાથે સ્પષ્ટ case-sensitive અથવા case-insensitive સરખામણીનો ઉપયોગ કરીને આપો.

ટૂલ ખોલો →

અનન્ય વાક્ય ઉત્ખનક

પસંદ કરી શકાય એવા કેસ નિયમ હેઠળ દરેક સંપૂર્ણ વાક્યનો પ્રથમ occurrence રાખો અને પછીના ડુપ્લિકેટો દૂર કરો.

ટૂલ ખોલો →

Base32 ટેક્સ્ટ એન્કોડર અને ડીકોડર

UTF-8 ટેક્સ્ટને પ્રમાણભૂત RFC 4648 Base32 માં રૂપાંતરિત કરો અથવા પેડેડ કે અનપેડેડ Base32 મૂલ્યને કડક રીતે ડિકોડ કરો.

ટૂલ ખોલો →

Base32hex લખાણ એન્કોડર અને ડીકોડર

RFC 4648 વિભાગ 7 દ્વારા નિર્ધારિત વિસ્તૃત હેક્સાડેસિમલ Base32 વર્ણમાળા સાથે UTF-8 ને એન્કોડ અને ડિકોડ કરો.

ટૂલ ખોલો →

Base45 ટેક્સ્ટ એન્કોડર અને ડીકોડર

QR-મુખ્ય ડેટા ફોર્મેટ્સમાં વપરાતી કોમ્પેક્ટ RFC 9285 Base45 મૂળાક્ષરપદ્ધતિ વડે UTF-8 લખાણને રૂપાંતરિત કરો.

ટૂલ ખોલો →

Base58 Bitcoin ટેક્સ્ટ એન્કોડર અને ડિકોડર

UTF-8 બાઇટ્સને Bitcoin Base58 alphabet સાથે રૂપાંતરિત કરો, અને leading zero bytes ને ચોક્કસ રીતે જાળવો.

ટૂલ ખોલો →

Ascii85 ટેક્સ્ટ એન્કોડર અને ડીકોડર

UTF-8 ને પાંચ-અક્ષરના Ascii85 જૂથોમાં એન્કોડ કરો અથવા વૈકલ્પિક ડિલિમિટર્સ અને z સંકોચન સાથે કડક Adobe-સુસંગત ડેટા ડિકોડ કરો.

ટૂલ ખોલો →

ક્વોટેડ-પ્રિન્ટેબલ લખાણ એન્કોડર અને ડીકોડર

UTF-8 મેઇલ-શૈલીના ટેક્સ્ટને RFC 2045 quoted-printable તરીકે એન્કોડ કરો અથવા માન્ય uppercase escapes અને બ્રાઉઝર-સામાન્યીકૃત line breaks ને ડિકોડ કરો.

ટૂલ ખોલો →